Subject: Re: Licensing Terms
From: [email-masked] (zigweidr)

6 Nov 1998 08:58:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

DJ Delorie wrote:
> 
> Cygwin's licensing terms are spelled out here:
> 
>   http://sourceware.cygnus.com/cygwin/licensing.html
> 
> Basically, not only can you *not* distribute cygwin's
> dll without sources, but if you use cygwin's dll,
> you can *not* distribute *your* program without sources
> either.
> 
This may be just a technicality, but I think that this is important
enough that we don't want to mislead the readers here.  I don't think
that the sources have to be included with the binaries that are compiled
according to the GPL.  They do, however, have to be made available. 
With regards to the cygwin DLL, pointing it to the address where it was
gotten would be sufficient yes?  That is making the user of the software
aware that those sources are in fact available, and thus fullfilling the
GPL.  

However, if Cygnus has made this mandetory in addition to the GPL, this
is a different issue altogether, but I don't get that from reading the
licensing link you posted.

-- 
Robert M. Zigweid		Opinions expressed in the above statement
Des Moines MTA			do not reflect the opinions of the DMMTA.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".